#include "TableNav.h"
#include "NavWidgetFactory.h"

#include <QtPlugin>
#include <QtGui>

TableNavPlugin::TableNavPlugin()
{
    // Do nothing
}

TableNavPlugin::~TableNavPlugin()
{
    // Do notning
}

bool TableNavPlugin::initialize(const QStringList& args, QString *errMsg)
{
    Q_UNUSED(args);
    Q_UNUSED(errMsg);
	// Provide a navigation widget factory.
    // Qt Creators navigation widget will automatically 
    // hook to our INavigationWidgetFactory implementation, which 
    // is the NavWidgetFactory class, and show the QTableWidget 
    // created by it in the navigation panel.
    addAutoReleasedObject(new NavWidgetFactory);
	return true;
}

void TableNavPlugin::extensionsInitialized()
{
    // Do nothing
}

void TableNavPlugin::shutdown()
{
    // Do nothing
}

Q_EXPORT_PLUGIN(TableNavPlugin)
